﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.MaEnquiry
@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script type="text/javascript">
        $(document).ready(function () {
            $('.actionlinks').hide();

            $("#delete-dialog").hide();
        });
    </script>



}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Enquiry Details
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table align="left" width="90%">
    <tr>
        <td align="left" width="100px">
            <b>
                @Html.DisplayNameFor(model => model.Cdate)
                :
            </b>
        </td>
        <td align="left">
            @{
                string cdate = string.Format("{0:dd MMM,yyyy}", Model.Cdate);
            }
            @cdate
        </td>
        <td align="right">
            <b>Enquiry No:</b>
        </td>
        <td>
            @Html.DisplayFor(model => model.Id)
        </td>
    </tr>
</table>
<table align="center" style="width: 500px" class="well">
    <tr>
        <td style="width: 100%">
            <fieldset>
                <legend>General Detail</legend>
                <table style="width: 750px" class="table_style">
                    <tr>
                        <td width="120px" align="left">
                            Name
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.FirstName) &nbsp;
                            @Html.DisplayFor(model => model.LastName)
                        </td>
                        <td width="10px"></td>
                        <td width="120px" align="left">
                            Gender
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.Gender)
                        </td>
                    </tr>
                    <tr>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.Mobile)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.Mobile)
                        </td>
                        <td width="10px"></td>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.EmailId)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.EmailId)
                        </td>

                        
                    </tr>
                    <tr>

                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.FatherName)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.FatherName)
                        </td>
                        <td width="10px"></td>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.AlternateNo)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.AlternateNo)
                        </td>
                    </tr>
                    <tr>
                        <td width="10px"></td>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.FacebookId)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.FacebookId)
                        </td>
                    </tr>
                    <tr>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.Address)
                        </td>
                        <td align="left" width="300px" colspan="4">
                            @Html.DisplayFor(model => model.Address)
                        </td>
                    </tr>
                </table>
            </fieldset>
            <fieldset>
                <legend>Enquiry About</legend>
                <table style="width: 850px" class="table_style">
                    <tr>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.EnqAbt)
                        </td>
                        <td align="left" width="300px" colspan="4">
                            @Html.DisplayFor(model => model.EnqAbt)
                        </td>
                    </tr>
                    <tr>
                        <td width="120px" align="left">
                            Visa Type
                        </td>
                        <td align="left" width="300px" colspan="4">
                            @Html.DisplayFor(model => model.VisaType)
                        </td>
                    </tr>

                    <tr>
                        <td width="120px" align="left">
                           Enquiry Type
                        </td>
                        <td align="left" width="300px" colspan="4">
                            @Html.DisplayFor(model => model.EnqType)
                        </td>
                    </tr>
                   
                    @*<tr>
                            <td width="120px" align="left">
                                IELTS AC
                            </td>
                            <td align="left" width="200px">
                                @Html.DisplayFor(model => model.EnquiryIELAC)
                            </td>
                            <td width="10px"></td>
                            <td width="120px" align="left">
                                IELTS GT
                            </td>
                            <td align="left" width="200px">
                                @Html.DisplayFor(model => model.EnquiryIELGT)
                            </td>
                            <td width="120px" align="left">
                                PTE
                            </td>
                            <td align="left" width="200px">
                                @Html.DisplayFor(model => model.EnqPPE)
                            </td>
                        </tr>
                        <tr>
                            <td width="120px" align="left">
                                Spoken English
                            </td>
                            <td align="left" width="200px">
                                @Html.DisplayFor(model => model.EnquirySpkEng)
                            </td>
                            <td width="10px"></td>
                            <td width="120px" align="left">
                                Study Visa
                            </td>
                            <td align="left" width="200px">
                                @Html.DisplayFor(model => model.EnquiryStyVisa)
                            </td>
                        </tr>*@
                    <tr>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.Status)
                        </td>
                        <td align="left" width="300px" colspan="4">
                            @Html.DisplayFor(model => model.Status)
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            @{
                                if (Model.UFile != null && Model.UFile != "NoImage.jpg")
                                {
                                    <a href="~/Uploads/Enquiry/@Model.UFile" download="UFile" title="Download Walkin Form"><img src="~/Uploads/Enquiry/@Model.UFile" alt="Alternate Text" width="100" height="170" /></a>
                                }
                            }

                        </td>

                    </tr>
                </table>
            </fieldset>
            <fieldset>
                <legend>Other Detail</legend>
                <table style="width: 750px" class="table_style">
                    <tr>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.WalkInType)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.WalkInType)
                        </td>
                        <td width="10px"></td>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.WalkInDate)
                        </td>
                        <td align="left" width="300px">
                            @{
                                string wdate = string.Format("{0:dd MMM,yyyy}", Model.WalkInDate);
                            }
                            @wdate
                        </td>
                    </tr>
                    <tr>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.Source)
                        </td>
                        <td align="left" width="300px">
                            @{
                                string source = Model.Source;

                                if (source == "Any Other")
                                {
                                    source = Model.Other;
                                }
                                else
                                {
                                    source = Model.Source;
                                }
                            }
                            @source

                        </td>
                        <td width="10px"></td>
                        <td width="120px" align="left">
                            User
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.User.Fullname)
                        </td>
                    </tr>
                    <tr>
                        <td width="120px" align="left">
                            Enq. Handled By
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.User1.Fullname)
                        </td>
                        <td width="10px"></td>
                        <td width="120px" align="left">
                            Remarks
                        </td>
                        <td align="left" width="300px" colspan="4">
                            @Html.DisplayFor(model => model.Remarks)
                        </td>
                    </tr>
                </table>
            </fieldset>
            <fieldset>
                <legend>Demo Detail</legend>
                <table style="width: 750px" class="table_style">
                    <tr>
                        <td width="140px" align="left">
                            @Html.DisplayNameFor(model => model.DemoFeeAmt)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.DemoFeeAmt)
                        </td>
                        <td width="10px"></td>
                        <td width="140px" align="left">
                            @Html.DisplayNameFor(model => model.ClassDate)
                        </td>
                        <td align="left" width="300px">
                            @{
                                string demClassDate = string.Format("{0:dd MMM,yyyy}", Model.ClassDate);
                            }
                            @demClassDate
                        </td>
                    </tr>
                    <tr>
                        <td width="120px" align="left">
                            @Html.DisplayNameFor(model => model.DemoFeeDate)
                        </td>
                        <td align="left" width="300px">
                            @Html.DisplayFor(model => model.DemoFeeDate)
                        </td>
                        <td width="10px"></td>
                    </tr>
                </table>
            </fieldset>
            @*@{if (Model.EnquiryIELAC || Model.EnqAbt== "IELTS" || Model.EnqAbt == "VISA")*@
          
                <fieldset>
                    <legend>IELTS Detail</legend>
                    <table style="width: 750px" class="table_style">
                        <tr>
                            <td width="120px" align="left">
                                @Html.DisplayNameFor(model => model.CountryInterested)
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.CountryInterested)
                            </td>
                            <td width="10px"></td>
                            <td width="120px" align="left">
                                @Html.DisplayNameFor(model => model.CityPreference)
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.CityPreference)
                            </td>
                        </tr>
                        <tr>
                            <td width="120px" align="left">
                                Listening
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.IELTSExmLearn)
                            </td>
                            <td width="10px"></td>
                            <td width="120px" align="left">
                                Writing
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.IELTSExmWrit)
                            </td>
                        </tr>
                        <tr>
                            <td width="120px" align="left">
                                Spoken
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.IELTSExmSpkn)
                            </td>
                            <td width="10px"></td>
                            <td width="120px" align="left">
                                Reading
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.IELTSExmRead)
                            </td>
                        </tr>
                        <tr>
                            <td width="120px" align="left">
                                Overall
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.IELTSExmOverall)
                            </td>
                            <td width="10px"></td>
                            <td width="120px" align="left">
                                Exam Date
                            </td>
                            <td align="left" width="300px">
                                @Html.DisplayFor(model => model.DateOfExam)
                            </td>
                        </tr>
                    </table>
                </fieldset>
           
            <table style="width: 500px" class="table_style">
                <tr></tr>
            </table>
            <div>
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <div class="container">
                            <ul class="tabs">
                                <li class="active">
                                    <a href="#tab2">
                                        Highest Qualification<span id="spOnTIME"></span>
                                    </a>
                                </li>
                                <li><a href="#tab1">Employee History<span id="spPending"></span></a></li>
                            </ul>
                            <div class="tab_container">
                                <div style="display: block;" id="tab2" class="tab_content">
                                    @Html.Action("_HighestQuali")
                                </div>
                                <div style="display: block;" id="tab1" class="tab_content">
                                    @Html.Action("_EmplHistList")
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </td>
    </tr>
</table>
